<template>
    <section class="container py-5">
        <article v-if="page">
            <h1 class="text-center mb-5">{{ page?.title }}</h1>
            <div v-html="page?.content"></div>
        </article>
        <p v-else class="text-center">
            <i class="ri-error-warning-fill d-block display-1 text-danger mb-3"></i>
            <span class="d-block fw-bold h3">Page Not Found!</span>
        </p>
    </section>
</template>

<script setup>
import { useRoute } from 'vue-router';
import { useMasterStore } from '@/stores/master';
import { ref } from 'vue';

const route = useRoute();
const masterStore = useMasterStore();
const pageSlug = route.params.slug

const page = ref(masterStore.masterData.pages.filter(page => page.slug === pageSlug)[0])
</script>
